Arcs

From Microstation VBA Wiki
Revision as of 18:36, 16 August 2010 by Ted (talk | contribs) (Created page with 'The CreateArcElement1 function is easiest for 2D drawings because it only requires three points: starting and ending points along the arc along with the center of the arc. <PRE>…')
(diff) ← Older revision | Latest revision (diff) | Newer revision → (diff)
Jump to: navigation, search

The CreateArcElement1 function is easiest for 2D drawings because it only requires three points: starting and ending points along the arc along with the center of the arc.

Dim ptStart As Point3d
Dim ptEnd As Point3d
Dim ptOrigin As Point3d
Dim oArc As ArcElement
Set oArc = CreateArcElement1(Nothing, ptStart, ptOrigin, ptEnd)
ActiveModelReference.AddElement oArc